use preserves_schema::compiler::*;

use std::io::Error;

fn main() -> Result<(), Error> {
    let buildroot = std::env::current_dir()?;

    let mut gen_dir = buildroot.clone();
    gen_dir.push("src/schemas");

    let mut c = CompilerConfig::new(gen_dir, "crate::schemas".to_owned());

    let inputs = expand_inputs(&vec!["../../../path/path.bin".to_owned()])?;
    c.load_schemas_and_bundles(&inputs)?;
    compile(&c)
}
